=== debian/changelog ===
ros-noetic-eiquadprog (1.2.5-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 24 Oct 2022 13:54:52 -0000
